﻿using System.Collections.ObjectModel;
using WpfTreeView.Model;
using WpfTreeView.Provider;

namespace WpfTreeView.ViewModel
{
    public class MainWindowViewModel : ViewModelBase
    {
        private readonly IMemoryDataProvider _dataProvider;

        public MainWindowViewModel()
        {
            _dataProvider = new MemoryDataProvider();
            LoadArticleMasters();
        }

        private ObservableCollection<ArticleMaster> _masters;
        public ObservableCollection<ArticleMaster> Masters { get => _masters; set => SetValue(ref _masters, value); }


        private void LoadArticleMasters()
        {
            var list = _dataProvider.GetArticleMasters();
            Masters = new ObservableCollection<ArticleMaster>();
            list.ForEach(m => Masters.Add(m));
        }
    }
}
